var cfDbgOn=1; // prod
/**
 * Object debug function
 * obj: object to view
 * add: undefined for msgbox, '' for replace-display, 1 for concatenate display, 's' for server-side display, 'r' for function return
 * opt: array options: 'filter' for search filter on property names, 'noEmpty' not to display empty properties, 'noOn' not to display properties = 'on',
 */
function cfDbg(obj,add,opt){ // prod
	if(!cfDbgOn) return; // prod

	if(this.nb==undefined) this.nb=0;
	//if(this.nb++>30) return
	var n,elem,o='',i=0,lb=(add)?1:3;
	if(typeof obj!='object') o=obj;
	else{
		if(!opt) opt={};
		o+=(obj.id?'id='+obj.id+'/':'')+"\n";
		for(elem in obj){
			if(opt.noOn && elem.substr(0,2)=='on') continue;
			if(opt.noEmpty && obj[elem]!=='') continue;
			if(opt.filter && elem.indexOf(opt.filter)<0) continue;
			o+=/*i+':'+*/elem+' ('+typeof(obj[elem])+')='+((!opt.det && (typeof(obj[elem])=='object' || typeof(obj[elem])=='function' || elem=='innerHTML' ||elem=='outerHTML'))?'[obj]':obj[elem])+(((++i)%lb==0)?"\n":'				');
		}
	}
	if(add===undefined||add===false) return alert(o);
	if(add==='r') return o;
	if(add==='s') {
		if(W.wl) return wl.asr.send({'jsObject':o},'/pub/debugAsyncJs.php');
		return sendData(o,'/pub/debugAsyncJs.php');
	}
	o=o.toString().replace('/</g','&lt;').replace(/\n/g,'<br>');
	if(!(n=dgi("jsDbg"))){
		n=D.createElement('DIV');
		n.id="jsDbg";
		n.onclick="this.innerHTML=''";
		with(n.style){position='absolute';top='0';left='0';zIndex:1000}
		D.body.appendChild(n)
	}

	n.innerHTML=((add>0)?n.innerHTML:'')+o;
}

/**
 * Toggle debug activation
 */
function cfDbgToggle(activated){if(activated==undefined) cfDbgOn=1-cfDbgOn; else cfDbgOn=(activated)?1:0} // prod

// Call debug function only once (if function is called again, it won't do anything)
function cfDbgOnce(obj,add,opt){ // prod
	if(W.cfDbgOnceD) return; // prod
	W.cfDbgOnceD=1; // prod
	cfDbg(obj,add,opt); // prod
}

function al(a,b,c){cfDbg(a,b,c)}