var frameDir;
// Mouse over/out effect on blocks
function mi(n){$(n).e.className().add("itemSel");$(n).e.className().remove('itemUnsel');}
function mo(n){$(n).e.className().add('itemUnsel');$(n).e.className().remove('itemSel');}

// "Shell" open folder or file on server computer
function openFolder(name){wl.asr.send({'command':'shellOpenFolder:'+name})}
function openFile(name){wl.asr.send({'command':'shellOpenFile:'+name})}


/**
 * @desc Show any of 4 config frames
 * @param name: name of frame
 * @param dirX: x axis direction (-1,0,1)
 * @param dirY: y axis direction (-1,0,1)
 * @param skipAnim: set to true to skip animation
 */
function showFrame(name,dirX,dirY,skipAnim){
	var nf=$(name+'_outer'),nfs=nf.style,f=$('blocksDiv'),its=[],d=((dirX)?((dirX>0)?'left':'right'):((dirY>0)?'up':'down'));

	if(name=='theme') dgi('themeIFrame').style.display=''; // Show themes iframe now

	frameDir=[name,dirX,dirY];

	nfs.left=(dirX*f.offsetWidth)+'px';	nfs.top=(dirY*f.offsetWidth)+'px'; nfs.display='block';

	// Set icon on back button, or hide it if frame is directly displayed
	if(dirX||dirY)	btSetIcon(name+'backBt',wl.ico[d]); else dgi(name+'backBt').style.display='none';

	its.push({'item':f,'function':function(p,anim){
		p=wl.animFunctionUnfold0(p);
		return {'left':-dirX*p*anim.item.offsetWidth,'top':-dirY*p*anim.item.offsetHeight}
	}});
	its.push({'item':nf,'function':function(p,anim){
		p=wl.animFunctionUnfold0(p);
		return {'left':(dirX*f.offsetWidth)-dirX*p*anim.item.offsetWidth,'top':(dirY*f.offsetHeight)-dirY*p*anim.item.offsetHeight}
	}});

	wl.anim({'items':its,'duration':0,'callbackComplete':function(){if(dgi('uiBgImage')) $('uiBgImage').style.display=''}});
}
/**
 * @desc Anim back to blocks page
 */
function goBack(){
	name=frameDir[0]; dirX=frameDir[1]; dirY=frameDir[2];
	var nf=$(name+'_outer'),nfs=nf.style,f=$('blocksDiv'),its=[];

	its.push({'item':f,'function':function(p,anim){
		p=1-wl.animFunctionUnfold0(p); return {'left':-dirX*p*anim.item.offsetWidth,'top':-dirY*p*anim.item.offsetHeight}
	}});
	its.push({'item':nf,'function':function(p,anim){
		p=1-wl.animFunctionUnfold0(p); return {'left':(dirX*f.offsetWidth)-dirX*p*anim.item.offsetWidth,'top':(dirY*f.offsetHeight)-dirY*p*anim.item.offsetHeight}
	}});
	if(dgi('uiBgImage')) $('uiBgImage').style.display=''

	wl.anim({'items':its,'duration':500,'callbackComplete':function(){}});
}
/**
 * @desc Change UPnP success state. Called by UI on UPnP toggle result
 * @param ok: 1=mapping ok, 0=mapping not ok, -1 unmap ok
 */
function uiConfigSetUPnPState(ok){
	dgi('UPnPLoading').style.visibility='hidden';
	$('UPnPWarning').e.verticalFadeInOut((ok===0)?1:0);
	dgi('UPnPOK').style.visibility=(ok>0)?'visible':'hidden';
}

function uiConfigWaitMask(){
	$("loadMaskImg").e.create('IMG',{'src':wl.ico.loading,'style':'z-index:99999;position:absolute;top:50%;left:50%;margin:-8px 0 0 -8px'});
	$("loadMask").e.create('DIV');
	$("loadMask").e.setAlpha(0.5);
}
// Misc actions on user action on data
function dataChanged(dataName,dataValue){
	if(dataName=="alternateServerPort") dgn("alternateServerPort").style.color=((isNaN(dataValue) || dataValue==dgn('serverPort').value)?'red':'');
	if(dataName=="historyLogViewedContent") dgn("historyLogViewedContentDays").disabled = !dataValue;
	if(dataName=="protectSensitiveFiles") dgn("protectedFilesExtensions").disabled = !dataValue;
	if(dataName=="UIFadeEffect") dgn("mainFormFadeAlpha").disabled = !dataValue;
	if(dataName=="UPnPEnabled"){
		if(!dataValue) uiConfigSetUPnPState();
		dgi('UPnPLoading').style.visibility='';
	}
	if(dataName=="defaultServerState"){
		dgn("httpdLANFilter").disabled = (dataValue=='web');
		dgn("httpdLANFilterAuto").disabled = (dataValue=='web');
	}
	if(dataName=="protocol") {
		//dgn('serverPort_apply').value=(dataValue=='http')?'...':443;
	}
	if(dataName=="proxyEnabled"){
		$('configProxyFrame').e.setOpacity((dataValue)?1:0.2);
		dgn("proxyIP").disabled = !dataValue;
		dgn("proxyPort").disabled = !dataValue;
		dgn("proxyUsername").disabled = !dataValue;
		dgn("proxyPassword").disabled = !dataValue;
	}

	if(dataName=="startWithWindows") dgi("launchWithAdminRightsBlock").style.visibility=(dataValue=='service')?'visible':'hidden';

	// Server will be rebooted => display loading mask
	if(dataName=='serverPort' || dataName=='alternateServerPort' || dataName=='protocol' || dataName=='bittorrentPort' || dataName=='httpdCompatibilityMode') uiConfigWaitMask();
}

/**
 * Start configuration backup
 */
function configBackupPrepare(){
	wl.mask.show();
	$("backupProgress").style.display="block";
	progressSetPerc('backupPB',0)
	progressSetText('backupPB','...')
	wl.mask.moveAbove($("backupProgress"));
	wl.asr.send({'command':'backupStart'});
}
function configBackupStart(totalSize){
	W.configBackupTotalSize=totalSize;
	W.configBackupProcessed=0;
	configBackupMonitor();
}
function configBackupMonitor(){wl.asr.send({'command':'backupMonitor'})}
function configBackupUpdate(perc){
	if(perc==-1){
		$('configBackupCancelBt').style.display='';
		progressSetPerc('backupPB',0);
		progressSetPerc('backupPB','-');
		return;
	}
	progressSetPerc('backupPB',100*perc)
	progressSetText('backupPB',Math.floor(100*perc)+'%')

	if(perc>=1.0) {
		configBackupDone();
		wl.goURL('?command=backupDownload');
	}
	else setTimeout(configBackupMonitor,100);
}
function configBackupDone(){
	wl.mask.hide();
	$("backupProgress").style.display="none";
}


// Init controls
function dataInitForm(){
	for(e in {"historyLogViewedContent":1,"protectSensitiveFiles":1,"UIFadeEffect":1,"proxyEnabled":1}) if(dgn(e)) dataChanged(e, dgn(e).checked);
	if(dgn("defaultServerState")) dataChanged("defaultServerState", dgn("defaultServerState").value);
}
// Init page
function init(){
	dataInitForm();
	ContextMenuAttach(dgi('configSaveBt'),uiConfigCMI,{'align':'left','leftClick':1,'button':1,'style':{'width':130}})
}

D.body.onload=init;
