<?php
require_once(INCLUDE_DIR.'outputFunctions.php');
require_once(INCLUDE_DIR.'framesFunctions.php');

/**
 * @desc Insert HTML code for bottom-side menu bar
 *
 */
function displayMenu(){
	echo '<div id="winBarOuter" class="menuFrameBody" style="overflow:hidden;position:absolute;height:25px;width:100%;left:0px;bottom:-25px">';
	echo outTableTransparent("menuBar",'border-top:1px solid white;padding-top:1px');
	echo '<colgroup><col width="1"><col width="*"><col width="80"></colgroup>';
	echo '<tr style="vertical-align:top"><td id="winMenuBtTd">'."\n";
	// Menu button
	echo outBt(cfCaption('genResources'),outIcon('logoSmall'),"javascript:menuToggle()",false,false,'style="margin-left:5px;margin-right:5px"','up');


	echo "</td><td id='winOpenedOuter' style='white-space:nowrap;padding-top:0px'>\n";


	// tasks bar
	fInsertWindowsBar('150px');


	echo '</td><td id="timeDiv" style="display:block;width:132px">';

	// Async request indicator
	echo outImage(outIcon('onSmall'),false,'id="asyncRequestIndicator"','position:absolute;left:-16px;visibility:hidden');

	// Config button
	echo outBt('',outIcon('config3'),'javascript:'.fConfigLink(),false,cfCaption('mainConfigButton'),'style="margin-right:1em"');

	// Hour/min/sec clock javascript
	fInsertClock(true);

	// Logout button
	echo outBt('',outIcon('logout'),'javascript:logout();',false,cfCaption('genLogout'));

	echo "</td></table></div>\n";
}

?>
<script language="javascript" type="text/javascript">
var iconWidth=70,iconHeight=70,menuShown=false;

// Send windows events to menu frame
function winMonitor(win,action){menuWin(action, win.id, win.getIcon(), win.getCaption());}

// Preserve logout button position
var iconWidth=70;
var iconHeight=70;

function backgroundOnresize(){
	if(dgi('resIcon_theme')) {
		dgi('resIcon_theme').style.left=(dd.getWndW()-250)+"px";
		dgi('resIcon_theme').style.top=(dd.getWndH()-30)+"px";
	}
}

</script>
<?php
// Insert menu javascript and background mask
fInsertMenuStuff(2,1);


/**
 * XP-Style menu
 */
echo '<div id="menu" class="menu">';

echo outShadowBefore();

// Menu "white" frame
echo '<table class="menuInnerDiv"><tr><td class="menuLeft">&nbsp;</td><td class="menuRight"'.outEHoverFrameAttr().'>';

// Grouping
$types=array('administration'=>cfCaption('resAdministration'), 'explorer'=>cfCaption('resExplorer'), 'webcam'=>cfCaption('resWebcam'), 'website'=>cfCaption('resWebsite'), 'blog'=>cfCaption('resBlog'), 'bookmarks'=>cfCaption('resBookmarks'), 'tv'=>cfCaption('resTv'), 'misc'=>cfCaption('resMisc'));
$i=0;
// Group by resource type
$resources=cfResourcesGetUser();
foreach ($types as $type=>$caption){
	$output='';
	// Foreach resource of group
	foreach($resources as $value) if($value['type']==$type){
		$output.=outETC('menu'.$i,'onclick="javascript:menuHide();'.$value['resourceJsLink'].'"','<img alt="" src="'.($resourcesObjects[$value['id']]->icon16()).'" style="vertical-align:middle;margin-right:5px;height:16px;width:16px">'.cfUTF8Encode($value['name']),0,true);
		$i++;
	}
	if($output) {
		echo '<div class="menuGroup">'.$caption.'</div>'.$output;
		$i++;
	}
}

// Separator
echo '<center><div style="margin:0.8em;width:150px;height:0px;line-height:0px; border-bottom:1px solid #CCC"></div></center>';


// Theme selection control
if(cfGGetVar('allowUserThemeChange')) echo '<div id="themeControl" style="">'.outThemeSelectionControl('user',true,'GET', 'onmouseover="doCancelSelection=false;" onmouseout="doCancelSelection=true;"');
echo '</div>';

echo "</td></tr></table>\n"; // end of menuInnerDiv

// User name
//echo '<div style="position:absolute;top:112px;left:260px;width:180px;text-align:center;color:white;font-size:16px">'.cfUTF8Encode(cfUGetVar('name')).'</div>';

outShadowAfter();
echo "</div>\n"; // End of menu



/**
 * Background
 */
echo '<span onclick="creditsPopup()" style="color:#555; cursor:pointer; position:absolute;top:7px; right:30px;font-weight:bold">Weezo&nbsp;'.outImage(outIcon('logoSmall'),'#',false,'vertical-align:top; margin-left:1em').'</span>';

// Display icons
addIcons($resources);

// Display menu
displayMenu();

//addIcon
// Cache loadingBig icon
?>
<script type="text/javascript">
var loading=new Image; loading.src="<?php echo outIcon('loadingBig'); ?>";
if(windowsAnimation) wl.anim({'item':dgi('winBarOuter'),'duration':2000,'function':function(p,anim){return {'bottom':(25*(-(Math.exp(-8*p)))+'px')}}}); else dgi('winBarOuter').style.bottom='0px';
</script>